Package net.sourceforge.jiu.color.dithering

# Class DiamondSpotFunction

java.lang.Object
net.sourceforge.jiu.color.dithering.DiamondSpotFunction

All Implemented Interfaces:
  `SpotFunction`

public class DiamondSpotFunction extends Object implements SpotFunction
A diamond spot function.

Since:
  0.9.0
Author:
  Marco Schmidt
See Also:
  - `ClusteredDotDither`

## Constructor Summary

Constructors
Constructor
Description
`DiamondSpotFunction()`

## Method Summary

Modifier and Type
Method
Description
`double`
`compute(double x, double y)`
Compute the spot intensity at the given position.
`boolean`
`isBalanced()`
Returns if this spot function is balanced.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiamondSpotFunction

public DiamondSpotFunction()

## Method Details

### compute

public double compute(double x, double y)
Description copied from interface: `SpotFunction`
Compute the spot intensity at the given position.

Specified by:
  `compute` in interface `SpotFunction`
Parameters:
  `x` - horizontal position, must be between -1.0 and 1.0 (including both)
  `y` - vertical position, must be between -1.0 and 1.0 (including both)
Returns:
  the function value, must be between 0.0 and 1.0 (including both)

### isBalanced

public boolean isBalanced()
Description copied from interface: `SpotFunction`
Returns if this spot function is balanced.

Specified by:
  `isBalanced` in interface `SpotFunction`